<template>
    <div class="change-directory">
        <div class="input-section">
            <label>
                Item
                <input v-model="currentDirectory.item" type="text" class="input-field" />
            </label>
        </div>
        <div class="input-section">
            <label>
                Hours
                <input v-model="currentDirectory.hoursquantity" type="number" class="input-field" />
            </label>
        </div>
        <div class="input-section">
            <label>
                Teacher
                <input v-model="currentDirectory.teacher" type="text" class="input-field" />
            </label>
        </div>
        <div class="input-section">
            <label>
                Rating
                <input v-model="currentDirectory.rating" type="number" class="input-field" />
            </label>
        </div>
        <button @click="onAction" class="action-button">{{ actionBtnTitle }}</button>
    </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'

export default {
    name: 'ChangeDirectory',
    data() {
        return {
            currentDirectory: {},
        }
    },

    computed: {
        ...mapGetters(['getDirectoryID']),
        directoryId() {
            return this.$route.params.directoryId
        },
        actionBtnTitle() {
            return this.directoryId ? 'Save' : 'Create'
        },
    },
    created(){
        if(this.directoryId) this.currentDirectory = {...this.getDirectoryID(this.directoryId)}
    },
    methods: {
        ...mapActions(['addDirectory', 'updateDirectory']),
        onAction() {
            if(!this.directoryId) this.addDirectory(this.currentDirectory)
            else this.updateDirectory(this.currentDirectory)
            this.$router.push({path: '/' })
        }
    },
}
</script>

<style lang="scss" scoped>
.change-directory {
    max-width: 400px;
    margin: 0 auto;
}

.input-section {
    margin-bottom: 20px;
}

label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}

.input-field {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.action-button {
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.3s;
    background-color: #4caf50;
    color: white;
}

.action-button:hover {
    background-color: #66bb6a;
}
</style>
